package com.jasamedika.medifirst2000.etl.pasien.constant;

import lombok.Getter;

/**
 * @author salmanoe
 * @version 1.0.0
 * @since 19/10/2023
 */
public enum Pekerjaan {
    TIDAK_BEKERJA(0, "Tidak Bekerja"),
    PNS(1, "PNS"),
    TNI_ATAU_POLRI(2, "TNI/POLRI"),
    BUMN(3, "BUMN"),
    PEGAWAI_SWASTA_ATAU_WIRAUSAHA(4, "Pegawai Swasta/Wirausaha"),
    LAIN_LAIN(5, "Lain-lain");

    private final long id;

    @Getter
    private final String name;

    Pekerjaan(long id, String name) {
        this.id = id;
        this.name = name;
    }

    public long id() {
        return this.id;
    }

    @Override
    public String toString() {
        return Long.toString(id);
    }

    public static Pekerjaan valueOf(long id) {
        for (Pekerjaan pekerjaan : values()) {
            if (pekerjaan.id == id) {
                return pekerjaan;
            }
        }
        throw new IllegalArgumentException("No matching constant for [" + id + "]");
    }
}
